missing_translation: api_documentation.vcard_blocks
GET https://oqp.link/api/vcard-blocks/
curl --request GET \
--url 'https://oqp.link/api/vcard-blocks/?vcard_id={vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oqp.link/api/vcard-blocks/?vcard_id={vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | تفاصيل | الوصف |
|---|---|---|
| vcard_id | Required Integer | missing_translation: vcard_block.input.vcard_id |
{
"data": [
{
"id": 1,
"vcard_id": 123,
"type": "link",
"name": "Website",
"value": "https://example.com",
"settings": {
"open_in_new_tab": true
},
"order": 0,
"is_enabled": true,
"datetime": "2024-06-01 12:00:00"
},
{
"id": 2,
"vcard_id": 123,
"type": "email",
"name": "Email",
"value": "contact@example.com",
"settings": {},
"order": 1,
"is_enabled": true,
"datetime": "2024-06-01 12:05:00"
}
]
}
GET https://oqp.link/api/vcard-blocks/{block_id}
curl --request GET \
--url 'https://oqp.link/api/vcard-blocks/{block_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oqp.link/api/vcard-blocks/{block_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"vcard_id": 123,
"type": "link",
"name": "Website",
"value": "https://example.com",
"settings": {
"open_in_new_tab": true
},
"order": 0,
"is_enabled": true,
"datetime": "2024-06-01 12:00:00"
}
}
POST https://oqp.link/api/vcard-blocks/
curl --request POST \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'vcard_id=123' \
--data-urlencode 'type=link' \
--data-urlencode 'name=Website' \
--data-urlencode 'value=https://example.com' \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'vcard_id=123' \
--data-urlencode 'type=link' \
--data-urlencode 'name=Website' \
--data-urlencode 'value=https://example.com' \
| Parameters | تفاصيل | الوصف |
|---|---|---|
| vcard_id | Required Integer | missing_translation: vcard_block.input.vcard_id |
| type | Required String | missing_translation: vcard_block.input.type |
| name | Required String | missing_translation: vcard_block.input.name |
| value | Required String | missing_translation: vcard_block.input.value |
| settings | Optional missing_translation: api_documentation.object | missing_translation: vcard_block.input.settings |
| order | Optional Integer | missing_translation: vcard_block.input.order |
| is_enabled | Optional Boolean | missing_translation: vcard_block.input.is_enabled |
{
"data": {
"id": 2,
"vcard_id": 123,
"type": "link",
"name": "Website",
"value": "https://example.com",
"settings": {
"open_in_new_tab": true
},
"order": 0,
"is_enabled": true,
"datetime": "2024-06-01 12:05:00"
}
}
PUT https://oqp.link/api/vcard-blocks/
curl --request PUT \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'id=2' \
--data-urlencode 'name=Personal Website' \
--data-urlencode 'value=https://personal.example.com' \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'id=2' \
--data-urlencode 'name=Personal Website' \
--data-urlencode 'value=https://personal.example.com' \
| Parameters | تفاصيل | الوصف |
|---|---|---|
| id | Required Integer | missing_translation: vcard_block.input.id |
| type | Optional String | missing_translation: vcard_block.input.type |
| name | Optional String | missing_translation: vcard_block.input.name |
| value | Optional String | missing_translation: vcard_block.input.value |
| settings | Optional missing_translation: api_documentation.object | missing_translation: vcard_block.input.settings |
| order | Optional Integer | missing_translation: vcard_block.input.order |
| is_enabled | Optional Boolean | missing_translation: vcard_block.input.is_enabled |
{
"data": {
"id": 2,
"vcard_id": 123,
"type": "link",
"name": "Personal Website",
"value": "https://personal.example.com",
"settings": {
"open_in_new_tab": true
},
"order": 0,
"is_enabled": true,
"datetime": "2024-06-01 12:05:00"
}
}
DELETE https://oqp.link/api/vcard-blocks/
curl --request DELETE \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'id=2' \
--url 'https://oqp.link/api/vcard-blocks/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'id=2' \
| Parameters | تفاصيل | الوصف |
|---|---|---|
| id | Required Integer | missing_translation: vcard_block.input.id |
{
"data": {
"message": "Deleted"
}
}